#
# spec file for package perl-Getopt-Long-Descriptive
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Getopt-Long-Descriptive
Version:        0.102
Release:        lp150.1.1
%define cpan_name Getopt-Long-Descriptive
Summary:        Getopt::Long, but simpler and more powerful
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Getopt-Long-Descriptive/
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(CPAN::Meta::Check) >= 0.011
BuildRequires:  perl(CPAN::Meta::Requirements)
BuildRequires:  perl(Params::Validate) >= 0.97
BuildRequires:  perl(Sub::Exporter) >= 0.972
BuildRequires:  perl(Sub::Exporter::Util)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Test::Warnings) >= 0.005
Requires:       perl(Params::Validate) >= 0.97
Requires:       perl(Sub::Exporter) >= 0.972
Requires:       perl(Sub::Exporter::Util)
%{perl_requires}

%description
Getopt::Long::Descriptive is yet another Getopt library. It's built atop
Getopt::Long, and gets a lot of its features, but tries to avoid making you
think about its huge array of options.

It also provides usage (help) messages, data validation, and a few other
useful features.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license LICENSE

%changelog
* Wed Feb 21 2018 coolo@suse.com
- updated to 0.102
  see /usr/share/doc/packages/perl-Getopt-Long-Descriptive/Changes
  0.102     2018-02-20 14:44:17-05:00 America/New_York
  - long spacer lines are now line broken
  - "empty" spacer lines no longer have leading whitespace
  - option specifications ":+" and ":5" (etc.) now get better
    presentation in the usage description
* Wed Feb  7 2018 coolo@suse.com
- updated to 0.101
  see /usr/share/doc/packages/perl-Getopt-Long-Descriptive/Changes
  0.101     2018-01-21 19:32:11-05:00 America/New_York
  - escape some unescaped braces in regex
* Wed Jul 13 2016 coolo@suse.com
- updated to 0.100
  see /usr/share/doc/packages/perl-Getopt-Long-Descriptive/Changes
  0.100     2016-07-11 22:21:26-04:00 America/New_York
  - show off "shortcircuit" in synopsis (thanks, Zhenyi Zhou)
  - Fix rendering of complex types ('i@' → 'INT...', etc)
    (thanks, Arthur Axel fREW Schmidt)
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.099
  see /usr/share/doc/packages/perl-Getopt-Long-Descriptive/Changes
  0.099     2015-01-23 21:11:09-05:00 America/New_York
  - options that take arguments now indicate the argument's type and
    whether it can be given multiply (thanks, Niels Thykier)
  0.098     2014-11-16 14:35:34-05:00 America/New_York
  - when showing defaults, show false ones, too
* Fri Mar  7 2014 coolo@suse.com
- updated to 0.097
  - explicitly make the default behavior case-sensitive
  - add show_defaults option (thanks, Thomas Neumann)
* Tue Oct  8 2013 coolo@suse.com
- updated to 0.096
  - update version of Test::Warnings required
    (thanks, Alexandr Ciornii!)
* Fri Oct  4 2013 coolo@suse.com
- updated to 0.095
  - add the "shortcircuit" option option (thanks, Diab Jerius!)
  - update documentation to note that failed validation is fatal (thanks,
    SMYLERS)
  - show off "required" in the SYNOPSIS (thanks, OALDERS)
* Wed Jun  5 2013 coolo@suse.com
- updated to 0.093
    bogus %%-codes in usage description are now noticed and fatal
    make "hidden" options usable on their own (thanks, Roman Hubacek!)
* Thu Feb 23 2012 coolo@suse.com
- updated to 0.091
    don't die quite so violently when a Params::Validate constraint fails
    (initial patch by harleypig@github; final blame to RJBS)
* Fri Sep 16 2011 coolo@suse.com
- updated to 0.090
  bump prereq on Params::Validate to deal with recent buggy versions
* Fri Sep 16 2011 coolo@suse.com
- remove %%attr for docu
* Wed Apr  6 2011 coolo@novell.com
- updated to 0.089
    bump version to deal with busted PAUSE indexing
    fix infinite loop when long option documentation strings couldn't wrap
    (HDP)
* Wed Dec 29 2010 pascal.bleser@opensuse.org
- update to 0.087
- regenerated spec file as it was based on the very old cpanspec
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
* Tue Jan 12 2010 nine@detonation.org
- Specfile autogenerated by cpanspec 1.78.
